:root {
  --background-light: #fff;
  --background-medium: #f2f2f2;
  --background-dark: #282828;

  --button-primary: #00a4a3;
  --dash: #5fa9b8;
  
  --color-headings-dark: #323232;
  --color-headings-light: #fff;

  --color-header: #4a4a4a;
  --color-body: #b0b0b0;
  --color-body-dark: #4a4a4a;

}

*, *::after, *::before {
  box-sizing: border-box;
}

/* Typography */
html {
  font-size: 62.5%;
  scroll-behavior: smooth;
}

body {
  font-family: "Open Sans Light", Arial, Helvetica, sans-serif;
  font-size: 1.6rem;
  line-height: 1.5;
  color: var(--color-body);
}

h1,
h2,
h3 {
  font-family: "Merriweather", Georgia, 'Times New Roman', Times, serif;
  color: var(--color-headings-dark);
  margin-bottom: 1rem;
  line-height: 1.1;
}

h1 {
  font-size: 4.8rem;
}

h2 {
  font-size: 3.6rem;
}

h3 {
  font-size: 2rem;
}

p {
  margin-top: 0;

}

hr.dash_blue {
    width: 4em;
    border-top: solid 5px var(--button-primary);
    border-bottom: none;
    padding: 0;
    margin-top: 1.5em;
    margin-bottom: 1.5em;
}

.scroll-to-top {
  position: fixed;
  top: 20px;
  right: 20px;
  display: none;
  cursor: pointer;
  z-index: 1000;
}

.scroll-to-top:hover {
    transition: 0.5s;
}

/* Forms */
label {
    display: block;
}

.form-group {
    margin-bottom: 1rem;
}

.form-group label {
    color: #fff;
}

input[type='text'], 
input[type='email'],
textarea {
    border: 1px solid var(--color-header);
    border-radius: 2px;
    padding: 0.5rem 0.7rem;
    background-color: var(--color-headings-dark);
    caret-color: #ccc;
    color: #ccc;
    transition: border-color 0.25s, box-shadow 0.25s;
}

input[type='text']:focus,
input[type='email']:focus,
textarea:focus {
    outline: 0;
    border-color: var(--button-primary);
    box-shadow: 0 0 0 4px rgba(105,105,105,0.50);

}



/* Buttons */
.btn {
    border-radius: 5px;
    border:0;
    cursor: pointer;
    font-size: 1.4rem;
    font-weight: 600;
    outline: 0;
    padding: 1rem 3rem;
    text-align: center;
    text-transform: uppercase;
    white-space: nowrap;
    margin: 1rem 0;
   /* display: inline-block;*/
}

.btn--primary, .btn-small {
    background: var(--button-primary);
    color: #fff;
}

.btn--primary:hover {
    background: #00c1c0;
}

.btn-small {
    border-radius: 3px;
    border:0;
    cursor: pointer;
    font-size: 1.3rem;
    font-weight: 600;
    outline: 0;
    padding: 0.5rem 1rem;
    text-align: center;
    text-transform: uppercase;
    white-space: nowrap;
    margin: 1rem 0;

    color: #fff;
    /*display: inline-block;*/
}

.btn-small:hover {
    background: #00c1c0;
}

.btn-outline {
    border-radius: 5px;
    border: 2px solid var(--button-primary);
    color: var(--button-primary);
    cursor: pointer;
    font-size: 1.4rem;
    font-weight: 600;
    outline: 0;
    padding: 1rem 3rem;
    text-align: center;
    text-transform: uppercase;
    white-space: nowrap;
    margin: 0 auto;
    background-color: #fff;
    display: inline-block;
}

.btn-outline:hover {
    background-color: #ebfcfc;
}



/* Links */
a {
    text-decoration: none;
    color: var(--button-primary);
}



/* Icons */
.icon {
    width: 40px;
    height: 40px;
}

.icon--white {
    fill: white;
}

/* Lists */
.list {
    list-style: none;
    padding-left: 0;
    color: var(--color-headings);
}

.list--inline .list__item {
    display: inline-block;
    margin-right: 2rem;
}

.list--tick {
    list-style-image: url(../images/tick.svg);
    padding-left: 3rem;
}

.list--tick .list__item {
    padding-left: 0.5rem;
    margin-bottom: 1rem;
}

@media screen and (min-width: 1024px) {
    .list--tick .list__item {
        padding-left: 0;
    }
}

.container_white {
    width: 100%;
    background-color: #fff;
}

.container_bglight {
    width: 100%;
    background-color: #eee;
            
}

.container_bgmedium {
    width: 100%;
    background-color: var(--background-medium);
    
}

.container_bgdark {
    width: 100%;
    background-color: #ccc;
            
} 

.container_nav {
    width: 100%;
    background-color: var(--background-dark);
}


/* Generic headers */
.container_header {
    display: flex;
    width: 100%;

    justify-content: center;
    align-items: center;
   
}

.generic_header {

    height: 10vh;
    background-image: url('/images/hero-510wellington-banner1.jpg');
    background-repeat: no repeat;
    background-position: center center;
    background-size: cover;

    background-color: rgba(19, 19, 19, 0.5); 
    background-blend-mode: multiply; 
    text-align: center;

}

.generic_header h1 {
    color: var(--color-headings-light);
}


.message {
    padding: 2em;
    margin: 0;
    text-align: center;
}

.banner {
    display: flex;
    max-width: 1200px;
    /*border: 1px solid #17aa17;*/
    margin: 0 auto;
    /* horizontal and vertical alignment */
    justify-content: space-between;
    align-items: center;

    padding: 1rem;
    height: 5rem;
}

.banner_item {
    /*border: 1px solid red;*/
    flex: 0 0 auto;

    /*
     flex-grow: 1;
     flex-shrink 0;
     flex-basis: auto; is initial width
    */
    /* flex: 1 0 auto; */
}

.banner_time {
    color: var(--color-header);      
}

.banner_time img {
    vertical-align:middle;
    
}

.banner_middle {
    color: var(--color-header);
    text-align: center;
}

.banner_middle img {
    vertical-align:middle;
    height: 3rem;
}

.banner_right {

    color: var(--color-header);
    /*text-align: right;*/
}

@media (max-width: 768px) {
    .banner {
        display: block;
        height: 6.5rem;
    }
    .banner_item {
        height: 2.5rem;
         text-align: center;
         font-size: 1.4rem;
    }
}


/* Navigation */
.navigation {
    display: flex;
    max-width: 1200px;
    /*border: 1px solid #17aa17;*/
    margin: 0 auto;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
     padding: 1rem;
}

.nav__list {
    width: 100%;
    margin: 0;
}

.nav__item {
    padding: 0.5rem 2rem;
    border-bottom: 1px solid #222;
}

.nav__item > a {
    color: #d2d0db;
    transition:  color 0.5s;
}

.nav__item > a:hover {
    color: #fff;
}

.nav__toggler {
    opacity: 0.5;
    transition: box-shadow .15s;
    cursor: pointer;
}

.collapsible__content {
    max-height: 0;
    overflow: hidden;
    opacity: 0;
    transition: opacity 0.3s, max-height 0.3s;
}
 
.collapsible--expanded  .collapsible__chevron {
    transform: rotate(0);
}

.collapsible--expanded .collapsible__content {
    max-height: 100vh; 
     overflow: visible;
     opacity: 1;
}

.nav.collapsible--expanded .nav__toggler {
    opacity: 1;
    box-shadow: 0 0 0 3px #666; /* horiz offset, vert offset, bluring, spread by, color */
    border-radius: 5px;
}

@media screen and (min-width: 880px){
    .nav__toggler {
        display: none;
    }

    .nav__list {
        width: auto;
        display: flex; /* lays the list side by side */
        font-size: 1.6rem;

        /* makes the nav list visible by default */
        max-height: 100%;
        opacity: 1;
    }

    .nav__item {
        border: 0;
    }
}

/* Addtional nav query */
@media screen and (max-width: 980px) {
    .nav__item {
        font-size: 1.4rem;
        padding: 0.4rem 1rem;
    }
}

/* Borders */
.hero_item, .members_item, .products_items, .services_header, .gallery_container, .manufacturer_header, .testimonials_header {
    /*border: 1px solid green;*/
}

.products_thumbs, .services_cards, .gallery_item, .manufacturer_cards, .estimates_item, .testimonials_cards, .contact_item {
    /*border: 1px solid red;*/
}


/* Hero */
.hero {
    display: flex;
    background-image: url('/images/hero-510wellington-banner1.jpg');
    background-repeat: no repeat;
    background-position: center center;
    background-size: cover;

    background-color: rgba(19, 19, 19, 0.5); /* Tint the bg image */
    background-blend-mode: multiply; 

    justify-content: center;
    align-items: center;

    height: 70vh;
}

.hero_item{
    flex: 0 0 auto; 
    padding: 2em;
    text-align: center;
    height: auto;
}

.hero_item h1, .hero_item p {
    color: var(--color-headings-light);
}

@media (max-width: 1024px) {
    .hero {
       height: 40vh;
    }
    .hero_item {
        flex-shrink: 1;
    }
  .hero_item h1 {
    font-size: 3rem;
    }  
}

/* Members */
.members_container {
    display: flex;
    max-width: 1200px;
    margin: 0 auto;
    justify-content: center;
    align-items: center;
}

.members_item {
    padding: 2rem;
    text-align: center;
}

.members_item img {
    margin: 0 2rem;
}

.member_starnet {
    max-width: 232px;
}

.member_cca {
    max-width: 150px;
}

@media (max-width: 768px) {
    .members_item img {
        margin: 0.5rem 0.5rem;
    }    
    .member_starnet {
        max-width: 140px;
    }

    .member_cca {
        max-width: 110px;
    }    
}

/* Products */
.products_container {

    display: flex;
    justify-content: space-evenly;
    max-width: 1200px;
    margin: 0 auto;

}

    .products_items {
        flex: 0 0 50%;
        padding: 4rem 0rem;
    }

    .products_items hr {
        margin-inline-start: 0;
    }

    .products_title {
        text-align: left;
        padding: 0 1em;
    }

    .products_thumbs {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        gap: 2rem;
        justify-content: center;
        align-items: center;
    }

        .p_item {
            width: 170px;
            height: 170px;
            display: flex;
            align-items: center;
        }

        .p_itembg {
            padding: 1em 0;
            background-color: rgba(0, 0, 0, 0.65);
            text-align: center;
            flex-grow: 1;
            color: #fff;
            text-transform: uppercase;
            font-weight: bold;   
        }

        .carpettile, .vct, .laminates, .ceramic, .rubber , .hardwood  {
            background-repeat: no repeat;
            background-position: center center;
            background-size: cover;            
        }

        .carpettile {   background-image: url('/images/product-carpettile.jpg'); }
        .vct {          background-image: url('/images/product-vct.jpg'); }
        .laminates {    background-image: url('/images/product-laminate.jpg'); }
        .ceramic {      background-image: url('/images/product-ceramic.jpg'); }
        .rubber {       background-image: url('/images/product-rubber.jpg'); }
        .hardwood {     background-image: url('/images/product-hardwood.jpg'); }


@media (max-width: 1024px) {
    .products_container {
        display: block;
    }
    .products_items {
        flex: 0 0 50%;
        padding: 2rem 0rem;
    }

    .products_title .dash_blue {
        margin: 1.5rem auto;
    }

    .products_title {
        text-align: center;
        padding: 0 1em;
    }    
    .products_thumbs {
        gap: 1rem;
    }

    .p_item {
        width: 130px;
        height: 130px;
    }
}


/* Estimates */
.estimates {

    display: flex;
    background-image: url('/images/grey_wooden_floors.jpg');
    background-repeat: no repeat;
    background-position: center center;
    background-size: cover;

    background-color: rgba(19, 19, 19, 0.75);
    background-blend-mode: multiply; 

    justify-content: center;
    align-items: center;

   /* height: 30vh;*/

}

.estimates_item {
    flex: 0 1 auto;
    text-align: center;
    padding: 2em 2em 4em 2em;
    /*margin: 2em 0em;*/

}

.estimates_item h2 {
    color: #fff;
}


@media (max-width: 768px){
    .estimates_item {
        padding: 0em 1em 2em 1em;
    }

    .estimates_item h2 {
        
    }
}


/* Services */
.services_container {
    max-width: 1200px;  
    margin: 0 auto;
    padding: 2em 1rem 4em 1rem;
}

.services_header {
    text-align: center;
}

.services_cards {
    display: grid;
    gap: 3rem;
    grid-template-columns: 1fr 1fr 1fr;
}

.service_card {
    
    display: flex;
    flex-direction: column;
    justify-content: space-between;

    padding: 4rem;
   border: 1px solid #c0c0c0;
    
}

.service_header {
    text-align: center;
    margin-bottom: 2rem;
     
}

.service_content {

}

.service_buttons {

    text-align: center;
}

@media (max-width: 768px){
    
    .services_container {
        padding: 2em 2em 2em 2em;
    }

    .service_card {
        padding: 1rem 2rem 2rem 2rem;
    }

    .services_cards {
        
        margin: 1em;
        display: grid;
        gap: 2rem;
        grid-template-columns: 1fr;
    }

}


/* Gallery */ 
.gallery_header {
    text-align: center;
    padding: 2em 0 2em 0;
}

.gallery_nav {
    display: flex;
    flex-direction: row;
    justify-content: center; /* main axis = row, horizontal */
    align-items: center; /* second axis, vertical*/

    border: 1px solid red;

    padding: 3em 0;
}

.gallery_nav_item {

    flex: 0 0 11em;
    border: 1px solid greenyellow;

    text-align: center;
    text-transform: uppercase;
    font-weight: 600;
    font-size: 0.9em;
    color: var(--color-headings-dark);
    
}
/*
.gallery_container {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-auto-rows: minmax(100px, auto);
    gap: 0;
}
*/

.gallery_container {
    display: flex;
    flex-wrap: wrap;
    max-width: 1680px;
    margin: 0 auto;
}

.gallery_col {
    flex: 25%;
    max-width: 25%;
    padding: 0;
    margin: 0;
}

.gallery_item {
    max-height: 32vh;
    position: relative;
}

.overlay {
    opacity: 0;
    position: absolute;
    top:0;
    right:0;
    bottom:0;
    left:0;
    width: 100%;
    height: 100%;
    transition: 0.2s ease;
    background-color: var(--color-body);
}

.gallery_item:hover .overlay {
    opacity: 0.45;
}

.gallery_item img {
    vertical-align: middle;
    width: 100%;
    height: auto;   
   
}

@media (max-width: 1024px){

    .gallery_item {
       max-height: 40vh;
    }

    .gallery_col {
        flex: 50%;
        max-width: 50%; 
    } 

}

@media (max-width: 768px){
    .gallery_header {
        padding: 0.5em 0 0.5em 0;
    }

    .gallery_item {
        max-height: 50vh;
    }

    .gallery_col {
        flex: 100%;
        max-width: 100%; 
    } 

}

/* Manufacturer */
/*
.manufacturer_container {

    display: flex;
    justify-content: space-evenly;
    max-width: 1200px;
    margin: 0 auto;

}

    .manufacturer_items {
        border: 1px solid purple;
        flex: 0 0 50%;
        padding: 5rem 0rem;
    }

    .manufacturer_items hr {
        margin-inline-start: 0;
    }

    .manufacturer_title {
        border: 1px solid red;
        text-align: left;
        padding: 0 2em;
    }

    .manufacturer_thumbs {
        border: 1px solid red;
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        gap: 3rem;
        justify-content: center;
        align-items: center;
    }

        .m_item {
            border: 2px solid #eaeaea;
            width: 276px;
            height: 154px;
            display: flex;
            align-items: center;
        }

        .m_item img {
            width: 100%;
            height: auto;
        }


@media (max-width: 1024px) {
    .manufacturer_container {
        display: block;
    }
    .manufacturer_items {
        flex: 0 0 50%;
        padding: 2rem 0rem;
    }

    .manufacturer_title .dash_blue {
        margin: 1.5rem auto;
    }

    .manufacturer_title {
        text-align: center;
        padding: 0 1em;
    }    
    .manufacturer_thumbs {
        gap: 1rem;
    }

    .m_item {
        width: 175px;
        height: 98px;
    }
}
*/

.manufacturer_container {
    max-width: 1200px;  
    margin: 0 auto;
    padding: 3rem 0 6rem 0;
}

.manufacturer_header {
    text-align: center;

}

.manufacturer_cards {

    display: grid;
    gap: 1rem;
    grid-template-columns: 1fr 1fr 1fr 1fr;

}

.manufacturer_card {
    border: 1px solid #c0c0c0;
    text-align: center;
}

.manufacturer_card:hover {
    border: 1px solid #000;
    transition: 0.75s;
}

.manufacturer_header {
    text-align: center;
         
}


@media (max-width: 1200px){
    
    .manufacturer_cards {
        margin: 1em;
        display: grid;
        gap: 1rem;
        grid-template-columns: 1fr 1fr 1fr;
    }

}

@media (max-width: 875px){
    
    .manufacturer_container {
        padding: 1rem 0 3rem 0;
    }

    .manufacturer_cards {
        margin: 1em;
        display: grid;
        gap: 1rem;
        grid-template-columns: 1fr 1fr;
    }

}

@media (max-width: 570px){
    
    .manufacturer_cards {
        margin: 1em;
        display: grid;
        gap: 1rem;
        grid-template-columns: 1fr;
    }

}

/* Testimonials */
.testimonials {
    background-image: url('/images/testimonials-bg-syllasense-1.jpg');
    background-repeat: no repeat;
    background-position: center center;
    background-size: cover;

    background-color: rgba(255, 255, 255, 0.658);
    background-blend-mode: screen; 
}

.testimonials_container {
    max-width: 1200px;  
    margin: 0 auto;
    padding: 4em 1em 8em 1em;
}

.testimonials_header {
    text-align: center;
    margin: 2em 0;
}

.testimonials_cards {
    display: grid;
    gap: 3rem;
    grid-template-columns: 1fr 1fr;
}

.testimonials_card {
    
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background-color: rgba(255, 255, 255, 0.90);
    padding: 5rem;
    
}

.testimonials_header {
    text-align: center;
    margin-bottom: 2rem;
     
}

.testimonials_content {
   /* border: 1px solid brown;*/
}

.testimonials_buttons {
    
    border: 1px solid brown;
    text-align: center;
}

@media (max-width: 768px){

    .testimonials_container {
        padding: 1em 3em 2em 3em;
    } 

    .testimonials_card {
        padding: 2rem;
    }

    .testimonials_cards {
        /**border: 1px solid green;*/
        margin: 1em;
        display: grid;
        gap: 1rem;
        grid-template-columns: 1fr;
    }

}


/* Contact */
.contact {

    display: flex;
    flex-direction: row;
    background-image: url('/images/grey_wooden_floors_rev.jpg');
    background-repeat: no repeat;
    background-position: center center;
    background-size: cover;

    background-color: rgba(19, 19, 19, 0.75);
    background-blend-mode: multiply; 

    justify-content: center;
    align-items:start;

   /* height: 30vh;*/

}

.contact_item {
    flex: 0 1 auto;
    padding: 2em 2em 4em 2em;
    /*margin: 2em 0em;*/
}

.contact_item input, .contact_item textarea {
    width: 100%;
}

.contact_list {
    margin: 0;
    padding: 0;
    list-style-type: none;
}

.contact_list span {
    display: block;
    color: #fff;
    font-weight: bold;
}

.contact_list li {
    padding: 0 0 1em 0;
}

.contact_item h2 {
    color: #fff;
}

@media (max-width: 768px){
    
    .contact {
        flex-direction: column;
        align-items: center;
    }

    .contact_item {
        padding: 0em 1em 2em 1em;
        text-align: center;
    }

    .contact_item h2 {
        
    }
}